package http_model

type WorkspaceBarNumsRequest struct {
	ProjectType int64 `json:"project_type"` //项目类型
}

type WorkspaceBarNums struct {
	DataPendingNum     int64 `json:"data_pending_num"`     // 执行中-数据待审
	LinkPendingNum     int64 `json:"link_pending_num"`     // 执行中-链接待审
	SketchPendingNum   int64 `json:"sketch_pending_num"`   // 执行中-初稿待审
	ScriptPendingNum   int64 `json:"script_pending_num"`   // 执行中-脚本待审
	AccSelecting       int64 `json:"acc_selecting"`        // 招募中-待选（账号待审）
	ShippedNum         int64 `json:"shipped_num"`          // 执行中-待签收（已发货）
	ShipmentPendingNum int64 `json:"shipment_pending_num"` // 执行中-待发货

}

func NewWorkspaceBarNumsRequest() *WorkspaceBarNumsRequest {
	return new(WorkspaceBarNumsRequest)
}

func NewWorkspaceBarNumsResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(WorkspaceBarNums)
	return resp
}
